#include "main.h"
#include "arenaEngine.h"
#include "logHelper.h"
#include "IAEngine.h"
#include <SDL2/SDL.h>
#include <SDL2/SDL_image.h>
//#include <SDL2/SDL_ttf.h>

#ifndef ARENAGUI_H_
#define ARENAGUI_H_

enum {
    GAME_EVENT_QUIT = 1,
    GAME_EVENT_UP,
    GAME_EVENT_DOWN,
    GAME_EVENT_LEFT,
    GAME_EVENT_RIGHT,
    GAME_EVENT_ATTACK
};

void displayArena(ARENA_H_TILE* arena, SDL_Window* windows, TILE *tiles, int size_h, int size_w, int tile_size);
int updateArena(SDL_Window* window, ARENA_H_TILE* arena, TILE *tiles, PLAYER *player);
int getKeyEvent();

//void updatePlayerPos(ARENA_H_TILE* arena, SDL_Window* window, PLAYER *player, TILE *tiles, SDL_Rect new_coord);

#endif
